path: /build/build/macaroni-funtoo-base-seed-0.20240823.package.tar.zst
dependencies: []
compilespec:
  steps:
  - if [ ! -e /etc/passwd ] ; then touch /etc/passwd ; fi && if [ ! -e /etc/shadow
    ] ; then touch /etc/shadow ; fi && if [ ! -e /etc/group ] ; then touch /etc/group
    ; fi && if [ ! -e /etc/gshadow ] ; then touch /etc/gshadow ; fi && if [ ! -d /tmp
    ] ; then mkdir /tmp ; fi && if [ ! -d /var ] ; then mkdir /var ; fi && if [ !
    -d /root ] ; then mkdir /root ; fi && chmod a+x /var && chmod a+rwx /tmp
  - luet install virtual-entities/base --force
  - luet install --force system/luet-devkit utils/jq utils/yq dev-util/pkgs-checker-minimal
    app-admin/macaronictl kernel/macaroni-lts-sources && eselect kernel set 1 && luet
    cleanup
  - cat /etc/luet/luet.yaml && luet miner ri virtual/base virtual/sh && /usr/bin/gcc-config
    1 && eselect gcc set 1 && mkdir -p /var/lib/portage && epro list && eval 'rm /etc/localtime
    || true' && ln -s /usr/share/zoneinfo/Europe/Rome /etc/localtime && macaronictl
    env-update && eval 'locale-gen || true' && cd / && rm -rf /luetbuild && mkdir
    /layer
  env:
  - LUET_YES=true
  - LUET_NOLOCK=true
  - HTTP_TIMEOUT=0
  - GENTOO_MIRRORS="https://distfiles.macaronios.org https://dl.macaronios.org/repos/distfiles"
  prelude: []
  image: scratch
  seed: scratch
  package:
    name: macaroni-funtoo-base
    version: "0.20240823"
    category: seed
    hidden: true
    buildtimestamp: 2024-08-26 09:31:04.915882233 +0000 UTC m=+870.808053107
    treedir: /build/packages
  package_dir: /layer
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy:
  - package: null
    image: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:9f2b5ff54ed894a5824015527f5a4fb4c538155ff55ffd1383a8c612a5fa6f5a
    source: /macaroni-funtoo
    destination: /
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: macaroni-funtoo-base
  version: "0.20240823"
  category: seed
  hidden: true
